libunwind (1.2.1-9build1k7) nile; urgency=medium

  * tes1111.

 -- liubo01 <kylin@liubo01-pc>  Thu, 22 Aug 2024 09:34:52 +0800

libunwind (1.2.1-9build1k6) v101; urgency=medium

  *test1.

 -- liubo01 <kylin@liubo01-pc>  Wed, 21 Aug 2024 17:47:28 +0800

libunwind (1.2.1-9build1k1) v101; urgency=medium

  * Add loongarch64 platform support

 -- root <doko@ubuntu.com>  Wed, 16 Mar 2022 07:26:20 +0000

libunwind (1.2.1-9build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:47:05 +0100

libunwind (1.2.1-9) unstable; urgency=medium

  * Backport some fixes wanted by julia:
    - Support dynamic unwind info on ARM
    - arm: Handle non-signal frame unwind info lookup in ARM exidx unwinder
    - dwarf: Allow DWARF version both 3 and 4
    (Closes: #917520)
  * Backport a fix for library users building with -stc=c99 on arm64.
    (Closes: #910505)

 -- Adrian Bunk <bunk@debian.org>  Fri, 01 Mar 2019 20:03:05 +0200

libunwind (1.2.1-8) unstable; urgency=low

  * libunwind-dev: Depend on liblzma-dev for static linking.

 -- Adrian Bunk <bunk@debian.org>  Thu, 12 Apr 2018 16:41:47 +0300

libunwind (1.2.1-7) unstable; urgency=low

  * Move libunwind-dev headers to multiarch location and mark
    libunwind8 and libunwind-dev as Multi-Arch: same.
  * For gcc usage, turn libunwind.a into a linker script on ia64.

 -- Adrian Bunk <bunk@debian.org>  Tue, 10 Apr 2018 20:03:57 +0300

libunwind (1.2.1-6) unstable; urgency=low

  * Make the texlive-extra-utils build dependency <!stage1>
    to help ia64 bootstrapping.

 -- Adrian Bunk <bunk@debian.org>  Sat, 06 Jan 2018 14:21:20 +0200

libunwind (1.2.1-5) unstable; urgency=low

  * Fix the src/ia64/mk_cursor_i file permissions.

 -- Adrian Bunk <bunk@debian.org>  Thu, 14 Dec 2017 20:59:58 +0200

libunwind (1.2.1-4) unstable; urgency=low

  * Add upstream fix for FTBFS with glibc 2.26. (Closes: #883861)
  * Add ia64 fixes from Jason Duerstock. (Closes: #883858)

 -- Adrian Bunk <bunk@debian.org>  Wed, 13 Dec 2017 20:24:14 +0200

libunwind (1.2.1-3) unstable; urgency=low

  * Fix the version in libunwind-common.h,
    thanks to Yuri D'Elia for the bug report. (Closes: #882226)

 -- Adrian Bunk <bunk@debian.org>  Mon, 20 Nov 2017 16:42:07 +0200

libunwind (1.2.1-2) unstable; urgency=low

  * Default to --enable-debug-frame on arm64.

 -- Adrian Bunk <bunk@debian.org>  Sat, 18 Nov 2017 21:42:52 +0200

libunwind (1.2.1-1) unstable; urgency=low

  * New upstream release.
  * Switch from -dbg to -dbgsym.
  * Add signature check to debian/watch.
  * dh compat 10.
  * Standards-Version: 4.1.1 (no changes)

 -- Adrian Bunk <bunk@debian.org>  Fri, 17 Nov 2017 17:33:43 +0200

libunwind (1.1-6) unstable; urgency=low

  * Enable building on sh4 and hppa. (Closes: #861494, #861524)
  * Run tests on all architectures, but keep ignoring failures.
  * Add pkg.libunwind.nolzma profile to help bootstrapping ports.
  * Remove the transitional libunwind8-dev package.

 -- Adrian Bunk <bunk@debian.org>  Thu, 16 Nov 2017 17:09:32 +0200

libunwind (1.1-5) unstable; urgency=high

  * New maintainer. (Closes: #869710, #863770, #868643)
  * Add upstream patch to fix C++ signal handling on amd64,
    thanks to Marc Strämke and Roman Tsisyk. (Closes: #827015)
  * Add upstream patch to fix building in GCC non-GNU modes
    on ARM, thanks to Peter Green. (Closes: #878954)

 -- Adrian Bunk <bunk@debian.org>  Sun, 05 Nov 2017 21:32:00 +0200

libunwind (1.1-4.1) unstable; urgency=medium

  [ James Cowgill ]
  * Non-maintainer upload.
  * Enable other mips architectures (Closes: #779575)

  [ Aron Xu ]
  * Replace direct Pre-Depends on multiarch-support by ${misc:Pre-Depends}

 -- Aron Xu <aron@debian.org>  Sat, 31 Oct 2015 02:33:29 +0800

libunwind (1.1-4) unstable; urgency=medium

  * Fix off-by-one in dwarf_to_unw_regnum(), applying an upstream patch
    396b6c7ab737e2bff244d640601c436a26260ca1.
    (Closes: #790830) (CVE-2015-3239)
  * debian/control: Bump up Standards-Version to 3.9.6

 -- Daigo Moriwaki <daigo@debian.org>  Sat, 04 Jul 2015 11:06:50 +0900

libunwind (1.1-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Build a libunwind-dev package. Make libunwind8-dev a transitional
    package. Closes: #712417.
  * Build-depend on texlive-extra-utils. Closes: #727838.

 -- Matthias Klose <doko@debian.org>  Thu, 09 Oct 2014 14:06:45 +0200

libunwind (1.1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply patches from Ubuntu. Closes: #753571.
    - d/p/AArch64-port.diff: Add Aarch64 port.
    - d/p/ppc64el.diff: Add PPC64 LE port.
    - d/patches/fix-lzma-linking.patch: Fix lzma linking for all supported
      architectures.
  * Enable test suite for amd64 architecture (James Page). Closes: #695296.
  * Build for powerpcspe (Roland Stigge). Closes: #734463.

 -- Matthias Klose <doko@debian.org>  Thu, 09 Oct 2014 13:41:49 +0200

libunwind (1.1-3) unstable; urgency=low

  * Added a new patch: debian/patches/20140507-ppc_lib64.patch
    to fix FTBFS on ppc64 by using /usr/lib instread of /usr/lib64.
    Thanks to Hiroyuki Yamamoto for sending a patch. (Closes: #747157)
  * debian/libunwind-setjmp0.postinst: Cleanup diversions from wheezy.
    Thanks to Andreas Beckmann for sending a patch. (Closes: #739383)

 -- Daigo Moriwaki <daigo@debian.org>  Wed, 07 May 2014 15:15:23 +0900

libunwind (1.1-2.2) unstable; urgency=low

  * Non-maintainer upload
  * Disable kfreebsd architectures for *all* binary packages

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 27 Oct 2013 17:02:22 +0000

libunwind (1.1-2.1) unstable; urgency=low

  * Non-maintainer upload
  * Remove dependence of libunwind-setjmp0 maintainer scripts on dpkg-dev
    by substituting architecture at build time (Closes: #709125)
  * Disable the test suite without depending on $DEB_BUILD_OPTIONS
    (Closes: #727840)
  * Disable kfreebsd architectures again, as they are not yet supported

 -- Ben Hutchings <ben@decadent.org.uk>  Sun, 27 Oct 2013 16:25:44 +0000

libunwind (1.1-2) unstable; urgency=low

  * debian/control:
    - libunwind-setjmp0 depepnds on dpkg-dev.  (Closes: #709125)
    - Removed DM-Upload-Allowed.
    - Bumped up Standards-Version to 3.9.4.
  * debian/rules:
    - --enable-minidebuginfo for configuration. (Closes: #717737)
  * Install pkg-config *.pc files.  (Closes: #711854)
  * debian/patches/20130803-known_test_failure_to_XFAIL_TESTS.patch:
    Back ported from the upstream (ae3dd9417a3d178cf51ce744d85b695dbf025b44).
  * debian/patches/20130803-crasher_test_only_for_coredump.patch:
    Back ported from the upstream (61fad17d29ed661d15a80ed931c7822e5e7ea411).

 -- Daigo Moriwaki <daigo@debian.org>  Sat, 27 Jul 2013 17:05:27 +0900

libunwind (1.1-1) unstable; urgency=low

  * New upstream release. (Closes: #704621)
  * debian/patches/01-rpath.patch: Followed the file name change by the
    upstream.
  * Removed patches: debian/patches/{20120422_tests_Makefile_am.patch,
    20120704_fix_arm_ftbfs.patch, -20120707_ia64_FTBFS.patch} which have
    been applied by the upstream.
  * debian/control: Support more architectures: kfreebsd-amd64 kfreebsd-i386
    mips. (Closes: #693303)

 -- Daigo Moriwaki <daigo@debian.org>  Fri, 17 May 2013 22:44:41 +0900

libunwind (1.0.1-5) unstable; urgency=low

  * Restored libunwind-setjmp0.postrm libunwind-setjmp0.preinst.
    (Closes: #688977)

 -- Daigo Moriwaki <daigo@debian.org>  Fri, 17 May 2013 22:11:57 +0900

libunwind (1.0.1-4) unstable; urgency=low

  * Converted the build style to dh.
  * debian/control:
    - Provides debug packages, libunwind8-dbg and libunwind-setjmp0-dbg.
      (Closes: #687325)
    - Pre-Depends: multiarch-support
  * Removed libunwind-setjmp0.postrm libunwind-setjmp0.preinst:
    libunwind7 and libunwind8 can not be reconciled.
  * Added debian/source/options to ignore changes on auto-generated files
    such as config.{sub,guess}.

 -- Daigo Moriwaki <daigo@debian.org>  Sun, 16 Sep 2012 17:16:56 +0900

libunwind (1.0.1-3) unstable; urgency=low

  * debian/rules: 
    - Compile with the PIC format even for static libraries.
      (Closes: #682196)
    - Configure with --enable-cxx-exceptions (Closes: #682194)

 -- Daigo Moriwaki <daigo@debian.org>  Sun, 16 Sep 2012 14:34:23 +0900

libunwind (1.0.1-2) unstable; urgency=low

  [ Luca Falavigna ]
  * 20120707_ia64_FTBFS.patch:
    - Cherry pick patch from upstream to fix FTBFS on ia64 (Closes: #680623).

  [ Daigo Moriwaki ]
  * debian/control: Removes libunwind8's Conflicts and Replaces with
    libunwind7. (Closes: #670957)
  * Imports Ubuntu's patch, supporting the armhf architecture.
    Thanks to James Page <james.page@ubuntu.com>.  (Closes: 680308)
    - 20120704_fix_arm_ftbfs.patch
    - debian/control:
      + Supports armhf.
      + libatomic-ops-dev is no longer required for Build-Depends.

 -- Daigo Moriwaki <daigo@debian.org>  Sun, 08 Jul 2012 13:13:11 +0900

libunwind (1.0.1-1) unstable; urgency=low

  [ Jari Aalto ]
  * Non-maintainer upload.
  * Remove deprecated dpatch and upgrade to packaging format "3.0 quilt".
  * Update to Standards-Version to 3.9.3, debhelper to 9, add autotools-dev.
  * Add build-arch and build-indep targets, use dh_prep and
    correct config.* file treatment in rules file.
  * Update URL in watch and copyright file.
  * Delete source.lintian-overrides; no longer needed.
  * Fix binary-control-field-duplicates-source (Lintian).
  * Fix diff-contains-substvars (Lintian)
  * Fix no-homepage-field (Lintian).
  * Fix description-synopsis-starts-with-article (Lintian).

  [ Daigo Moriwaki ]
  * Applied a patch from Jari Aalto. (Closes: #669713)
  * debian/control:
   + Added new fields: Vcs-Git, Vcs-Browser and DM-Upload-Allowed.
   + Added myself to Maintainer, after no response from the previous
     maintainers since May 2009.
  * NMU version 0.99-0.3 has been applied. (Closes: #631622)
  * New upstream release. (Closes: #558928, #669710)
  * debian/control:
    - Bumped up the version in the package names to match the library's
      version, libunwind8.
    - Support the armel architecture as well.
  * debian/patches/20120422_tests_Makefile_am.patch: added to run make check.
  * debian/copyright: Updated with copyright-format-1.0.

 -- Daigo Moriwaki <daigo@debian.org>  Sat, 28 Apr 2012 15:48:35 +0900

libunwind (0.99-0.3) unstable; urgency=low

  * Non-maintainer upload.
  * Don't ship .la files (Closes: #622440).
  * Build for powerpc (Closes: #556909).

 -- Luk Claes <luk@debian.org>  Sat, 25 Jun 2011 16:05:02 +0200

libunwind (0.99-0.2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control: Fix "libunwind7 is not required on all archs but ia64"
    The priority was erroneously set high. (Closes: #543346)
  * i386 libraries are now provided. (Closes: #275639)
  * debian/rules: use dpatch.
  * debian/patches/090828-rpath.dpatch: fixed the rpath issue.

 -- Daigo Moriwaki <daigo@debian.org>  Thu, 27 Aug 2009 23:58:37 +0900

libunwind (0.99-0.1) unstable; urgency=low

  [ Monty Taylor ]
  * Non-maintainer upload. (Closes: #530885) 
  * New upstream release (Closes: #487316)

  [ Daigo Moriwaki ]
  * debian/libunwind*.install: 
    - libraries install into /usr/lib.
    - regular packages contain shared libraries while -dev packages contain
      static libraries.
  * debian/control: libunwind7's section is now libs.

 -- Daigo Moriwaki <daigo@debian.org>  Sun, 23 Aug 2009 10:37:50 +0900

libunwind (0.98.5-8) unstable; urgency=low

  * Set priority to package libunwind7 to required as libstdc++5 of
    priority required depend on libunwind7. Close: bug#317375, bug#317374
  * Do not force g++ version to 3.4

 -- Matthieu Delahaye <matthieu@debian.org>  Fri, 15 Jul 2005 16:05:22 -0500

libunwind (0.98.5-7) unstable; urgency=low

  * Upload to unstable.

 -- Matthias Klose <doko@debian.org>  Tue,  7 Jun 2005 12:33:57 +0000

libunwind (0.98.5-6) experimental; urgency=low

  * Fix libunwind7 shlibs version string.

 -- Matthias Klose <doko@debian.org>  Wed,  4 May 2005 07:22:10 +0200

libunwind (0.98.5-5) experimental; urgency=low

  * Tighten libunwind7 shlibs version to 0.98.5-4 (the first version, which
    includes libunwind.so.7.

 -- Matthias Klose <doko@debian.org>  Wed,  4 May 2005 04:49:44 +0000

libunwind (0.98.5-4) experimental; urgency=low

  * Install the unwind library in the libunwind7 package, not libgcc1.

 -- Matthias Klose <doko@debian.org>  Tue,  3 May 2005 14:50:20 +0000

libunwind (0.98.5-1) unstable; urgency=low

  * New upstream release - bug correction only:
       - Fix an off-by-1 bug in the handling of the dynamic ALIAS directive.
       - Fix a bug in libunwind-ptrace which could cause crash due to
         extraneous munmap() calls.
       - Fix a typo in the man-page of unw_create_addr_space()

 -- Matthieu Delahaye <delahaym@debian.org>  Fri, 22 Apr 2005 11:12:14 -0500

libunwind (0.98.4-1) unstable; urgency=low

  * New upstream release

 -- Matthieu Delahaye <matthieu@debian.org>  Thu, 24 Feb 2005 16:12:19 -0600

libunwind (0.98.3-3) unstable; urgency=high

  * Tighten dependency on libgcc1.

 -- Matthias Klose <doko@debian.org>  Thu, 16 Dec 2004 15:36:15 -0800

libunwind (0.98.3-2) unstable; urgency=low

  * Depend on libgcc1, for the sarge release, libunwind.so.7 is built
    by the gcc-3.4 source package.

 -- Matthias Klose <doko@debian.org>  Fri, 26 Nov 2004 00:48:43 +0100

libunwind (0.98.3-1) unstable; urgency=low

  * New upstream release

 -- Matthieu Delahaye <matthieu@debian.org>  Tue, 16 Nov 2004 16:38:54 -0600

libunwind (0.98.2-2) unstable; urgency=low

  * Remove libatomic-ops depedency

 -- Matthieu Delahaye <matthieu@debian.org>  Tue,  16 Nov 2004 09:20:00 -0500

libunwind (0.98.2-1) unstable; urgency=low

  * New upstream release

 -- Matthieu Delahaye <matthieu@debian.org>  Thu,  4 Nov 2004 19:08:59 -0600

libunwind (0.98.1-1) unstable; urgency=low

  * New upstream release
  * Major soversion changed in upstream source: new packages libunwind7(-dev)
    and libunwind-setjmp0(-dev)

 -- Matthieu Delahaye <matthieu@debian.org>  Fri,  22 Oct 2004 15:03:30 -0500

libunwind (0.98-1) unstable; urgency=low

  * New upstream release

 -- Matthieu Delahaye <matthieu@debian.org>  Thu,  9 Sep 2004 18:28:49 -0500

libunwind (0.97-2) unstable; urgency=low

  * Build libunwind against libatomic-ops

 -- Matthieu Delahaye <matthieu@debian.org>  Fri,  28 May 2004 14:21:39 +0200

libunwind (0.97-1) unstable; urgency=low

  * New upstream release

 -- Matthieu Delahaye <matthieu@debian.org>  Fri,  7 May 2004 14:25:39 +0200

libunwind (0.96-2) unstable; urgency=low

  * Removed --disable-__thread from configure options 
  * Forced Deps to libc6.1 and libc6.1-dev (>=2.3.2-ds1-8) for NTPL support

 -- Matthieu Delahaye <matthieu@debian.org>  Fri, 06 Feb 2004 10:29:30 +0100

libunwind (0.96-1) unstable; urgency=low

  * Initial Release with inputs from Al Stone <ahs3@fc.hp.com>. 
  * Added Al Stone <ahs3@debian.org> to Uploaders.
  * Closes: bug#184751 (Initial ITP)
  * Closes: bug#215185 (ITP merged with #184751)
  * Upgraded to latest rev of Debian policy

 -- Matthieu Delahaye <matthieu@debian.org>  Thu, 11 Dec 2003 10:13:55 +0100


